export const metadata = {
  title: "Status Page Incidents - OnlineOrNot API Documentation",
  description:
    "Create and manage incidents to communicate outages on status pages",
}

## List all incidents   {{ tag: 'GET', label: '/v1/status_pages/{status_page_id}/incidents' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"}]} title="Path parameters" />

<ParameterTree parameters={[{"schema":{"type":"string","default":"1","example":1,"description":"Page number of paginated results."},"required":false,"description":"Page number of paginated results.","name":"page","in":"query","exampleValues":{"object":1,"json":"'1'"},"originalType":"string","safeType":"string","shortDesc":"Page number of paginated results.","style":"form"},{"schema":{"type":"string","default":"20","example":20,"description":"Number of items per page."},"required":false,"description":"Number of items per page.","name":"per_page","in":"query","exampleValues":{"object":20,"json":"'20'"},"originalType":"string","safeType":"string","shortDesc":"Number of items per page.","style":"form"},{"schema":{"type":"string","example":"example","description":"Search term to filter results."},"required":false,"description":"Search term to filter results.","name":"search","in":"query","exampleValues":{"object":"example","json":"'example'"},"originalType":"string","safeType":"string","shortDesc":"Search term to filter results.","style":"form"}]} title="Query parameters" />

<h3 id="get__v1_status_pages_{status_page_id}_incidents-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Returns a list of incidents for a status page|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"type":"array","items":{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]}},"in":"body","name":"result","depth":1,"type":"array","safeType":"[allOf]","required":true,"displayName":"» result"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"in":"body","name":"id","depth":3,"description":"Status Page Incident ID","type":"string","safeType":"string","required":true,"displayName":"»»» id"},{"schema":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"in":"body","name":"title","depth":3,"description":"a title for the incident","type":"string","safeType":"string","required":true,"displayName":"»»» title"},{"schema":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"in":"body","name":"impact","depth":3,"description":"Impact of the incident","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»» impact"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"in":"body","name":"started","depth":3,"description":"When the incident started","type":"string","safeType":"string","required":true,"displayName":"»»» started"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"in":"body","name":"ended","depth":3,"description":"When the incident was resolved","type":"string","safeType":"string","required":false,"displayName":"»»» ended"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"in":"body","name":"created_at","depth":3,"description":"When the incident was created","type":"string","safeType":"string","required":true,"displayName":"»»» created_at"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"},"in":"body","name":"updated_at","depth":3,"description":"When the incident was last updated","type":"string","safeType":"string","required":true,"displayName":"»»» updated_at"},{"schema":{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"in":"body","name":"latest_update","depth":3,"description":"Latest update summary","type":"object","safeType":"object","required":false,"displayName":"»»» latest_update"},{"schema":{"type":"string","example":"upd123","description":"Latest update ID"},"in":"body","name":"id","depth":4,"description":"Latest update ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"in":"body","name":"status","depth":4,"description":"Status of the latest update","type":"string","safeType":"string","required":true,"displayName":"»»»» status"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"},"in":"body","name":"date_happened","depth":4,"description":"When the latest update occurred","type":"string","safeType":"string","required":true,"displayName":"»»»» date_happened"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"},"in":"body","name":"scheduled_maintenance","depth":3,"description":"Scheduled maintenance info","type":"object","safeType":"object","required":false,"displayName":"»»» scheduled_maintenance"},{"schema":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"in":"body","name":"id","depth":4,"description":"Scheduled maintenance ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"in":"body","name":"start_date","depth":4,"description":"When the maintenance starts","type":"string","safeType":"string","required":true,"displayName":"»»»» start_date"},{"schema":{"type":"number","example":60,"description":"Duration in minutes"},"in":"body","name":"duration_minutes","depth":4,"description":"Duration in minutes","type":"number","safeType":"number","required":true,"displayName":"»»»» duration_minutes"},{"schema":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"in":"body","name":"notify_subscribers_at_start","depth":4,"description":"Notify subscribers when maintenance starts","type":"boolean","safeType":"boolean","required":true,"displayName":"»»»» notify_subscribers_at_start"},{"schema":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"},"in":"body","name":"notify_subscribers_at_end","depth":4,"description":"Notify subscribers when maintenance ends","type":"boolean","safeType":"boolean","required":true,"displayName":"»»»» notify_subscribers_at_end"},{"schema":{"type":"object","properties":{"page":{"type":"number","default":1,"example":1,"description":"Page number of paginated results."},"per_page":{"type":"number","default":20,"example":20,"description":"Number of items per page."},"count":{"type":"number","example":1,"description":"Number of items on the current page."},"total_count":{"type":"number","example":1,"description":"Total number of items."}},"required":["count","total_count"]},"in":"body","name":"result_info","depth":1,"type":"object","safeType":"object","required":true,"displayName":"» result_info"},{"schema":{"type":"number","default":1,"example":1,"description":"Page number of paginated results."},"in":"body","name":"page","depth":2,"description":"Page number of paginated results.","type":"number","safeType":"number","required":false,"displayName":"»» page"},{"schema":{"type":"number","default":20,"example":20,"description":"Number of items per page."},"in":"body","name":"per_page","depth":2,"description":"Number of items per page.","type":"number","safeType":"number","required":false,"displayName":"»» per_page"},{"schema":{"type":"number","example":1,"description":"Number of items on the current page."},"in":"body","name":"count","depth":2,"description":"Number of items on the current page.","type":"number","safeType":"number","required":true,"displayName":"»» count"},{"schema":{"type":"number","example":1,"description":"Total number of items."},"in":"body","name":"total_count","depth":2,"description":"Total number of items.","type":"number","safeType":"number","required":true,"displayName":"»» total_count"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="GET" label="/v1/status_pages/{status_page_id}/incidents">
```bash {{ title: 'cURL' }}
curl --request GET \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}'
```

```javascript
fetch("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents", {
  "method": "GET",
  "headers": {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  }
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents")
  .get()
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents');
$request->setMethod(HTTP_METH_GET);

$request->setHeaders([
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": [
    {
      "id": "a1b2c3d4",
      "title": "API is inaccessible",
      "impact": "MAJOR_OUTAGE",
      "started": "2021-01-01T00:00:00.000Z",
      "ended": "2021-02-01T00:00:00.000Z",
      "created_at": "2021-01-01T00:00:00.000Z",
      "updated_at": "2021-02-01T00:00:00.000Z",
      "latest_update": {
        "id": "upd123",
        "status": "INVESTIGATING",
        "date_happened": "2021-01-01T00:00:00.000Z"
      },
      "scheduled_maintenance": {
        "id": "sm123",
        "start_date": "2021-01-01T00:00:00.000Z",
        "duration_minutes": 60,
        "notify_subscribers_at_start": true,
        "notify_subscribers_at_end": true
      }
    }
  ],
  "result_info": {
    "page": 1,
    "per_page": 20,
    "count": 1,
    "total_count": 1
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Create an incident   {{ tag: 'POST', label: '/v1/status_pages/{status_page_id}/incidents' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"}]} title="Path parameters" />

<ParameterTree parameters={[{"in":"body","schema":{"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"description":{"type":"string","example":"We are currently investigating the issue","description":"a description of the incident"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE"],"example":"INVESTIGATING","description":"The current status of the incident"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"status":{"type":"string","enum":["OPERATIONAL","MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","MAINTENANCE","NO_IMPACT"],"example":"MAJOR_OUTAGE","description":"New status for the component"}},"required":["id","status"]},"description":"Components affected by this incident with their status"},"notify_subscribers":{"type":"boolean","default":true,"example":true,"description":"Whether to notify status page subscribers"}},"required":["title","description","status"]},"name":"body","required":true,"exampleValues":{"object":{"title":"API is inaccessible","description":"We are currently investigating the issue","status":"INVESTIGATING","components":[{"id":"a1b2c3d4","status":"MAJOR_OUTAGE"}],"notify_subscribers":true},"json":"{\n  \"title\": \"API is inaccessible\",\n  \"description\": \"We are currently investigating the issue\",\n  \"status\": \"INVESTIGATING\",\n  \"components\": [\n    {\n      \"id\": \"a1b2c3d4\",\n      \"status\": \"MAJOR_OUTAGE\"\n    }\n  ],\n  \"notify_subscribers\": true\n}"},"originalType":"object","safeType":"object"},{"in":"body","schema":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"name":"» title","required":true,"description":"a title for the incident","safeType":"string","depth":1,"exampleValues":{"object":"API is inaccessible","json":"'API is inaccessible'"},"shortDesc":"a title for the incident"},{"in":"body","schema":{"type":"string","example":"We are currently investigating the issue","description":"a description of the incident"},"name":"» description","required":true,"description":"a description of the incident","safeType":"string","depth":1,"exampleValues":{"object":"We are currently investigating the issue","json":"'We are currently investigating the issue'"},"shortDesc":"a description of the incident"},{"in":"body","schema":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE"],"example":"INVESTIGATING","description":"The current status of the incident"},"name":"» status","required":true,"description":"The current status of the incident","safeType":"string","depth":1,"exampleValues":{"object":"INVESTIGATING","json":"'INVESTIGATING'"},"shortDesc":"The current status of the incident"},{"in":"body","schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"status":{"type":"string","enum":["OPERATIONAL","MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","MAINTENANCE","NO_IMPACT"],"example":"MAJOR_OUTAGE","description":"New status for the component"}},"required":["id","status"]},"description":"Components affected by this incident with their status"},"name":"» components","required":false,"description":"Components affected by this incident with their status","safeType":"object[]","depth":1,"exampleValues":{"object":[{"id":"a1b2c3d4","status":"MAJOR_OUTAGE"}],"json":"[\n  {\n    \"id\": \"a1b2c3d4\",\n    \"status\": \"MAJOR_OUTAGE\"\n  }\n]"},"shortDesc":"Components affected by this incident with their status"},{"in":"body","schema":{"type":"string","example":"a1b2c3d4","description":"Status Page Component ID"},"name":"»» id","required":true,"description":"Status Page Component ID","safeType":"string","depth":2,"exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"shortDesc":"Status Page Component ID"},{"in":"body","schema":{"type":"string","enum":["OPERATIONAL","MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","MAINTENANCE","NO_IMPACT"],"example":"MAJOR_OUTAGE","description":"New status for the component"},"name":"»» status","required":true,"description":"New status for the component","safeType":"string","depth":2,"exampleValues":{"object":"MAJOR_OUTAGE","json":"'MAJOR_OUTAGE'"},"shortDesc":"New status for the component"},{"in":"body","schema":{"type":"boolean","default":true,"example":true,"description":"Whether to notify status page subscribers"},"name":"» notify_subscribers","required":false,"description":"Whether to notify status page subscribers","safeType":"boolean","depth":1,"exampleValues":{"object":true,"json":"'true'"},"shortDesc":"Whether to notify status page subscribers"}]} title="Body parameters" />

<h3 id="post__v1_status_pages_{status_page_id}_incidents-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|201|[Created](https://tools.ietf.org/html/rfc7231#section-6.3.2)|Returns the newly created status page incident|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"201","properties":[{"schema":{"allOf":[{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]},{"type":"object","properties":{"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"updates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}}}}]},"in":"body","name":"result","depth":1,"type":"any","safeType":"any","required":true,"displayName":"» result"},{"schema":{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]},"in":"body","name":"*anonymous*","depth":2,"type":"any","safeType":"any","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},"in":"body","name":"*anonymous*","depth":3,"type":"object","safeType":"object","required":false,"displayName":"»»» *anonymous*"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"in":"body","name":"id","depth":4,"description":"Status Page Incident ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"in":"body","name":"title","depth":4,"description":"a title for the incident","type":"string","safeType":"string","required":true,"displayName":"»»»» title"},{"schema":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"in":"body","name":"impact","depth":4,"description":"Impact of the incident","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»»» impact"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"in":"body","name":"started","depth":4,"description":"When the incident started","type":"string","safeType":"string","required":true,"displayName":"»»»» started"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"in":"body","name":"ended","depth":4,"description":"When the incident was resolved","type":"string","safeType":"string","required":false,"displayName":"»»»» ended"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"in":"body","name":"created_at","depth":4,"description":"When the incident was created","type":"string","safeType":"string","required":true,"displayName":"»»»» created_at"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"},"in":"body","name":"updated_at","depth":4,"description":"When the incident was last updated","type":"string","safeType":"string","required":true,"displayName":"»»»» updated_at"},{"schema":{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}},"in":"body","name":"*anonymous*","depth":3,"type":"object","safeType":"object","required":false,"displayName":"»»» *anonymous*"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"in":"body","name":"latest_update","depth":4,"description":"Latest update summary","type":"object","safeType":"object","required":false,"displayName":"»»»» latest_update"},{"schema":{"type":"string","example":"upd123","description":"Latest update ID"},"in":"body","name":"id","depth":5,"description":"Latest update ID","type":"string","safeType":"string","required":true,"displayName":"»»»»» id"},{"schema":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"in":"body","name":"status","depth":5,"description":"Status of the latest update","type":"string","safeType":"string","required":true,"displayName":"»»»»» status"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"},"in":"body","name":"date_happened","depth":5,"description":"When the latest update occurred","type":"string","safeType":"string","required":true,"displayName":"»»»»» date_happened"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"},"in":"body","name":"scheduled_maintenance","depth":4,"description":"Scheduled maintenance info","type":"object","safeType":"object","required":false,"displayName":"»»»» scheduled_maintenance"},{"schema":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"in":"body","name":"id","depth":5,"description":"Scheduled maintenance ID","type":"string","safeType":"string","required":true,"displayName":"»»»»» id"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"in":"body","name":"start_date","depth":5,"description":"When the maintenance starts","type":"string","safeType":"string","required":true,"displayName":"»»»»» start_date"},{"schema":{"type":"number","example":60,"description":"Duration in minutes"},"in":"body","name":"duration_minutes","depth":5,"description":"Duration in minutes","type":"number","safeType":"number","required":true,"displayName":"»»»»» duration_minutes"},{"schema":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"in":"body","name":"notify_subscribers_at_start","depth":5,"description":"Notify subscribers when maintenance starts","type":"boolean","safeType":"boolean","required":true,"displayName":"»»»»» notify_subscribers_at_start"},{"schema":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"},"in":"body","name":"notify_subscribers_at_end","depth":5,"description":"Notify subscribers when maintenance ends","type":"boolean","safeType":"boolean","required":true,"displayName":"»»»»» notify_subscribers_at_end"},{"schema":{"type":"object","properties":{"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"updates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}}}},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"in":"body","name":"components","depth":3,"type":"array","safeType":"object[]","required":false,"displayName":"»»» components"},{"schema":{"type":"string","example":"comp123","description":"Component ID"},"in":"body","name":"id","depth":4,"description":"Component ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","example":"API Server","description":"Component name"},"in":"body","name":"name","depth":4,"description":"Component name","type":"string","safeType":"string","required":true,"displayName":"»»»» name"},{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}},"in":"body","name":"updates","depth":3,"type":"array","safeType":"object[]","required":false,"displayName":"»»» updates"},{"schema":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"in":"body","name":"id","depth":4,"description":"Incident Update ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"in":"body","name":"incident_id","depth":4,"description":"Parent incident ID","type":"string","safeType":"string","required":true,"displayName":"»»»» incident_id"},{"schema":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"in":"body","name":"status","depth":4,"description":"Status of this update","type":"string","safeType":"string","required":true,"displayName":"»»»» status"},{"schema":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"in":"body","name":"description","depth":4,"description":"Update message","type":"string","safeType":"string","required":true,"displayName":"»»»» description"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"in":"body","name":"date_happened","depth":4,"description":"When this update occurred","type":"string","safeType":"string","required":true,"displayName":"»»»» date_happened"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"in":"body","name":"created_at","depth":4,"description":"When this update was created","type":"string","safeType":"string","required":true,"displayName":"»»»» created_at"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"in":"body","name":"updated_at","depth":4,"description":"When this update was last modified","type":"string","safeType":"string","required":true,"displayName":"»»»» updated_at"},{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"},"in":"body","name":"components","depth":4,"description":"Component status changes in this update","type":"array","safeType":"object[]","required":false,"displayName":"»»»» components"},{"schema":{"type":"string","example":"comp123","description":"Component ID"},"in":"body","name":"id","depth":5,"description":"Component ID","type":"string","safeType":"string","required":true,"displayName":"»»»»» id"},{"schema":{"type":"string","example":"API Server","description":"Component name"},"in":"body","name":"name","depth":5,"description":"Component name","type":"string","safeType":"string","required":true,"displayName":"»»»»» name"},{"schema":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"in":"body","name":"old_status","depth":5,"description":"Previous component status","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»»»» old_status"},{"schema":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"},"in":"body","name":"new_status","depth":5,"description":"New component status","type":"string","safeType":"string","required":true,"displayName":"»»»»» new_status"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="POST" label="/v1/status_pages/{status_page_id}/incidents">
```bash {{ title: 'cURL' }}
curl --request POST \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'Content-Type: application/json' \
  --data '{"title":"API is inaccessible","description":"We are currently investigating the issue","status":"INVESTIGATING","components":[{"id":"a1b2c3d4","status":"MAJOR_OUTAGE"}],"notify_subscribers":true}'
```

```javascript
fetch("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents", {
  "method": "POST",
  "headers": {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  },
  "body": "{\"title\":\"API is inaccessible\",\"description\":\"We are currently investigating the issue\",\"status\":\"INVESTIGATING\",\"components\":[{\"id\":\"a1b2c3d4\",\"status\":\"MAJOR_OUTAGE\"}],\"notify_subscribers\":true}"
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"title\":\"API is inaccessible\",\"description\":\"We are currently investigating the issue\",\"status\":\"INVESTIGATING\",\"components\":[{\"id\":\"a1b2c3d4\",\"status\":\"MAJOR_OUTAGE\"}],\"notify_subscribers\":true}");
Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents")
  .post(body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents');
$request->setMethod(HTTP_METH_POST);

$request->setHeaders([
  'Content-Type' => 'application/json',
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

$request->setBody('{"title":"API is inaccessible","description":"We are currently investigating the issue","status":"INVESTIGATING","components":[{"id":"a1b2c3d4","status":"MAJOR_OUTAGE"}],"notify_subscribers":true}');

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'
request.body = "{\"title\":\"API is inaccessible\",\"description\":\"We are currently investigating the issue\",\"status\":\"INVESTIGATING\",\"components\":[{\"id\":\"a1b2c3d4\",\"status\":\"MAJOR_OUTAGE\"}],\"notify_subscribers\":true}"

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents"

payload = {
    "title": "API is inaccessible",
    "description": "We are currently investigating the issue",
    "status": "INVESTIGATING",
    "components": [
        {
            "id": "a1b2c3d4",
            "status": "MAJOR_OUTAGE"
        }
    ],
    "notify_subscribers": True
}
headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("POST", url, json=payload, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": {
    "id": "a1b2c3d4",
    "title": "API is inaccessible",
    "impact": "MAJOR_OUTAGE",
    "started": "2021-01-01T00:00:00.000Z",
    "ended": "2021-02-01T00:00:00.000Z",
    "created_at": "2021-01-01T00:00:00.000Z",
    "updated_at": "2021-02-01T00:00:00.000Z",
    "latest_update": {
      "id": "upd123",
      "status": "INVESTIGATING",
      "date_happened": "2021-01-01T00:00:00.000Z"
    },
    "scheduled_maintenance": {
      "id": "sm123",
      "start_date": "2021-01-01T00:00:00.000Z",
      "duration_minutes": 60,
      "notify_subscribers_at_start": true,
      "notify_subscribers_at_end": true
    },
    "components": [
      {
        "id": "comp123",
        "name": "API Server"
      }
    ],
    "updates": [
      {
        "id": "e5f6g7h8",
        "incident_id": "a1b2c3d4",
        "status": "INVESTIGATING",
        "description": "We are investigating reports of connectivity issues",
        "date_happened": "2021-01-01T00:00:00.000Z",
        "created_at": "2021-01-01T00:00:00.000Z",
        "updated_at": "2021-01-01T00:00:00.000Z",
        "components": [
          {
            "id": "comp123",
            "name": "API Server",
            "old_status": "OPERATIONAL",
            "new_status": "MAJOR_OUTAGE"
          }
        ]
      }
    ]
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Retrieve an incident   {{ tag: 'GET', label: '/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"},{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page Incident ID"},"required":true,"description":"Status Page Incident ID","name":"status_page_incident_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page Incident ID","style":"simple"}]} title="Path parameters" />

<h3 id="get__v1_status_pages_{status_page_id}_incidents_{status_page_incident_id}-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Returns a status page incident|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"allOf":[{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]},{"type":"object","properties":{"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"updates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}}}}]},"in":"body","name":"result","depth":1,"type":"any","safeType":"any","required":true,"displayName":"» result"},{"schema":{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]},"in":"body","name":"*anonymous*","depth":2,"type":"any","safeType":"any","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},"in":"body","name":"*anonymous*","depth":3,"type":"object","safeType":"object","required":false,"displayName":"»»» *anonymous*"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"in":"body","name":"id","depth":4,"description":"Status Page Incident ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"in":"body","name":"title","depth":4,"description":"a title for the incident","type":"string","safeType":"string","required":true,"displayName":"»»»» title"},{"schema":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"in":"body","name":"impact","depth":4,"description":"Impact of the incident","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»»» impact"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"in":"body","name":"started","depth":4,"description":"When the incident started","type":"string","safeType":"string","required":true,"displayName":"»»»» started"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"in":"body","name":"ended","depth":4,"description":"When the incident was resolved","type":"string","safeType":"string","required":false,"displayName":"»»»» ended"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"in":"body","name":"created_at","depth":4,"description":"When the incident was created","type":"string","safeType":"string","required":true,"displayName":"»»»» created_at"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"},"in":"body","name":"updated_at","depth":4,"description":"When the incident was last updated","type":"string","safeType":"string","required":true,"displayName":"»»»» updated_at"},{"schema":{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}},"in":"body","name":"*anonymous*","depth":3,"type":"object","safeType":"object","required":false,"displayName":"»»» *anonymous*"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"in":"body","name":"latest_update","depth":4,"description":"Latest update summary","type":"object","safeType":"object","required":false,"displayName":"»»»» latest_update"},{"schema":{"type":"string","example":"upd123","description":"Latest update ID"},"in":"body","name":"id","depth":5,"description":"Latest update ID","type":"string","safeType":"string","required":true,"displayName":"»»»»» id"},{"schema":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"in":"body","name":"status","depth":5,"description":"Status of the latest update","type":"string","safeType":"string","required":true,"displayName":"»»»»» status"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"},"in":"body","name":"date_happened","depth":5,"description":"When the latest update occurred","type":"string","safeType":"string","required":true,"displayName":"»»»»» date_happened"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"},"in":"body","name":"scheduled_maintenance","depth":4,"description":"Scheduled maintenance info","type":"object","safeType":"object","required":false,"displayName":"»»»» scheduled_maintenance"},{"schema":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"in":"body","name":"id","depth":5,"description":"Scheduled maintenance ID","type":"string","safeType":"string","required":true,"displayName":"»»»»» id"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"in":"body","name":"start_date","depth":5,"description":"When the maintenance starts","type":"string","safeType":"string","required":true,"displayName":"»»»»» start_date"},{"schema":{"type":"number","example":60,"description":"Duration in minutes"},"in":"body","name":"duration_minutes","depth":5,"description":"Duration in minutes","type":"number","safeType":"number","required":true,"displayName":"»»»»» duration_minutes"},{"schema":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"in":"body","name":"notify_subscribers_at_start","depth":5,"description":"Notify subscribers when maintenance starts","type":"boolean","safeType":"boolean","required":true,"displayName":"»»»»» notify_subscribers_at_start"},{"schema":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"},"in":"body","name":"notify_subscribers_at_end","depth":5,"description":"Notify subscribers when maintenance ends","type":"boolean","safeType":"boolean","required":true,"displayName":"»»»»» notify_subscribers_at_end"},{"schema":{"type":"object","properties":{"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"updates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}}}},"in":"body","name":"*anonymous*","depth":2,"type":"object","safeType":"object","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"in":"body","name":"components","depth":3,"type":"array","safeType":"object[]","required":false,"displayName":"»»» components"},{"schema":{"type":"string","example":"comp123","description":"Component ID"},"in":"body","name":"id","depth":4,"description":"Component ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","example":"API Server","description":"Component name"},"in":"body","name":"name","depth":4,"description":"Component name","type":"string","safeType":"string","required":true,"displayName":"»»»» name"},{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}},"in":"body","name":"updates","depth":3,"type":"array","safeType":"object[]","required":false,"displayName":"»»» updates"},{"schema":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"in":"body","name":"id","depth":4,"description":"Incident Update ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"in":"body","name":"incident_id","depth":4,"description":"Parent incident ID","type":"string","safeType":"string","required":true,"displayName":"»»»» incident_id"},{"schema":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"in":"body","name":"status","depth":4,"description":"Status of this update","type":"string","safeType":"string","required":true,"displayName":"»»»» status"},{"schema":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"in":"body","name":"description","depth":4,"description":"Update message","type":"string","safeType":"string","required":true,"displayName":"»»»» description"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"in":"body","name":"date_happened","depth":4,"description":"When this update occurred","type":"string","safeType":"string","required":true,"displayName":"»»»» date_happened"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"in":"body","name":"created_at","depth":4,"description":"When this update was created","type":"string","safeType":"string","required":true,"displayName":"»»»» created_at"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"in":"body","name":"updated_at","depth":4,"description":"When this update was last modified","type":"string","safeType":"string","required":true,"displayName":"»»»» updated_at"},{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"},"in":"body","name":"components","depth":4,"description":"Component status changes in this update","type":"array","safeType":"object[]","required":false,"displayName":"»»»» components"},{"schema":{"type":"string","example":"comp123","description":"Component ID"},"in":"body","name":"id","depth":5,"description":"Component ID","type":"string","safeType":"string","required":true,"displayName":"»»»»» id"},{"schema":{"type":"string","example":"API Server","description":"Component name"},"in":"body","name":"name","depth":5,"description":"Component name","type":"string","safeType":"string","required":true,"displayName":"»»»»» name"},{"schema":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"in":"body","name":"old_status","depth":5,"description":"Previous component status","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»»»» old_status"},{"schema":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"},"in":"body","name":"new_status","depth":5,"description":"New component status","type":"string","safeType":"string","required":true,"displayName":"»»»»» new_status"},{"schema":{"type":"boolean","default":true,"example":true,"description":"Whether the API call was successful"},"in":"body","name":"success","depth":1,"description":"Whether the API call was successful","type":"boolean","safeType":"boolean","required":true,"displayName":"» success"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"errors","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» errors"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"},{"schema":{"type":"array","items":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"},"type":{"type":"string"}},"required":["code","message"]},"example":[]},"in":"body","name":"messages","depth":1,"type":"array","safeType":"object[]","required":true,"displayName":"» messages"},{"schema":{"type":"number"},"in":"body","name":"code","depth":2,"type":"number","safeType":"number","required":true,"displayName":"»» code"},{"schema":{"type":"string"},"in":"body","name":"message","depth":2,"type":"string","safeType":"string","required":true,"displayName":"»» message"},{"schema":{"type":"string"},"in":"body","name":"type","depth":2,"type":"string","safeType":"string","required":false,"displayName":"»» type"}]}]} />

</Col>

<Col sticky>

<CodeGroup title="Request" tag="GET" label="/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}">
```bash {{ title: 'cURL' }}
curl --request GET \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4 \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}'
```

```javascript
fetch("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4", {
  "method": "GET",
  "headers": {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
  }
})
.then(response => {
  console.log(response);
})
.catch(err => {
  console.error(err);
});
```

```java
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4")
  .get()
  .addHeader("Accept", "application/json")
  .addHeader("Authorization", "Bearer {access-token}")
  .build();

Response response = client.newCall(request).execute();
```

```php
<?php

$request = new HttpRequest();
$request->setUrl('https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4');
$request->setMethod(HTTP_METH_GET);

$request->setHeaders([
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
]);

try {
  $response = $request->send();

  echo $response->getBody();
} catch (HttpException $ex) {
  echo $ex;
}
```

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer {access-token}'

response = http.request(request)
puts response.read_body
```

```python
import requests

url = "https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4"

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer {access-token}"
}

response = requests.request("GET", url, headers=headers)

print(response.text)
```

</CodeGroup>

```json {{ title: 'Response' }}
{
  "result": {
    "id": "a1b2c3d4",
    "title": "API is inaccessible",
    "impact": "MAJOR_OUTAGE",
    "started": "2021-01-01T00:00:00.000Z",
    "ended": "2021-02-01T00:00:00.000Z",
    "created_at": "2021-01-01T00:00:00.000Z",
    "updated_at": "2021-02-01T00:00:00.000Z",
    "latest_update": {
      "id": "upd123",
      "status": "INVESTIGATING",
      "date_happened": "2021-01-01T00:00:00.000Z"
    },
    "scheduled_maintenance": {
      "id": "sm123",
      "start_date": "2021-01-01T00:00:00.000Z",
      "duration_minutes": 60,
      "notify_subscribers_at_start": true,
      "notify_subscribers_at_end": true
    },
    "components": [
      {
        "id": "comp123",
        "name": "API Server"
      }
    ],
    "updates": [
      {
        "id": "e5f6g7h8",
        "incident_id": "a1b2c3d4",
        "status": "INVESTIGATING",
        "description": "We are investigating reports of connectivity issues",
        "date_happened": "2021-01-01T00:00:00.000Z",
        "created_at": "2021-01-01T00:00:00.000Z",
        "updated_at": "2021-01-01T00:00:00.000Z",
        "components": [
          {
            "id": "comp123",
            "name": "API Server",
            "old_status": "OPERATIONAL",
            "new_status": "MAJOR_OUTAGE"
          }
        ]
      }
    ]
  },
  "success": true,
  "errors": [],
  "messages": []
}
```

</Col>
</Row>

---

## Update an incident   {{ tag: 'PATCH', label: '/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}' }}
<Row>
<Col>

### Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.

Example: `Authorization: Bearer 123`

<ParameterTree parameters={[{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page ID"},"required":true,"description":"Status Page ID","name":"status_page_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page ID","style":"simple"},{"schema":{"type":"string","minLength":8,"example":"a1b2c3d4","description":"Status Page Incident ID"},"required":true,"description":"Status Page Incident ID","name":"status_page_incident_id","in":"path","exampleValues":{"object":"a1b2c3d4","json":"'a1b2c3d4'"},"originalType":"string","safeType":"string","shortDesc":"Status Page Incident ID","style":"simple"}]} title="Path parameters" />

<ParameterTree parameters={[{"in":"body","schema":{"type":"object","properties":{"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"}},"required":["title","impact"]},"name":"body","required":true,"exampleValues":{"object":{"title":"API is inaccessible","impact":"MAJOR_OUTAGE"},"json":"{\n  \"title\": \"API is inaccessible\",\n  \"impact\": \"MAJOR_OUTAGE\"\n}"},"originalType":"object","safeType":"object"},{"in":"body","schema":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"name":"» title","required":true,"description":"a title for the incident","safeType":"string","depth":1,"exampleValues":{"object":"API is inaccessible","json":"'API is inaccessible'"},"shortDesc":"a title for the incident"},{"in":"body","schema":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"name":"» impact","required":true,"description":"Impact of the incident","safeType":["string","null"],"depth":1,"exampleValues":{"object":"MAJOR_OUTAGE","json":"'MAJOR_OUTAGE'"},"shortDesc":"Impact of the incident"}]} title="Body parameters" />

<h3 id="patch__v1_status_pages_{status_page_id}_incidents_{status_page_incident_id}-responses">Responses</h3>

|Status|Meaning|Description|
|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|Returns the updated status page incident|
|500|[Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1)|Internal Server Error|

<ResponseSchemas schemas={[{"status":"200","properties":[{"schema":{"allOf":[{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]},{"type":"object","properties":{"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"}},"required":["id","name"],"description":"Component associated with the incident"}},"updates":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"e5f6g7h8","description":"Incident Update ID"},"incident_id":{"type":"string","example":"a1b2c3d4","description":"Parent incident ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of this update"},"description":{"type":"string","example":"We are investigating reports of connectivity issues","description":"Update message"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update occurred"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was created"},"updated_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When this update was last modified"},"components":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"comp123","description":"Component ID"},"name":{"type":"string","example":"API Server","description":"Component name"},"old_status":{"type":["string","null"],"example":"OPERATIONAL","description":"Previous component status"},"new_status":{"type":"string","example":"MAJOR_OUTAGE","description":"New component status"}},"required":["id","name","old_status","new_status"]},"description":"Component status changes in this update"}},"required":["id","incident_id","status","description","date_happened","created_at","updated_at"]}}}}]},"in":"body","name":"result","depth":1,"type":"any","safeType":"any","required":true,"displayName":"» result"},{"schema":{"allOf":[{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify_subscribers_at_start":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance starts"},"notify_subscribers_at_end":{"type":"boolean","example":true,"description":"Notify subscribers when maintenance ends"}},"required":["id","start_date","duration_minutes","notify_subscribers_at_start","notify_subscribers_at_end"],"description":"Scheduled maintenance info"}}}]},"in":"body","name":"*anonymous*","depth":2,"type":"any","safeType":"any","required":false,"displayName":"»» *anonymous*"},{"schema":{"type":"object","properties":{"id":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"title":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"impact":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"started":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"ended":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"created_at":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"updated_at":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"}},"required":["id","title","impact","started","created_at","updated_at"]},"in":"body","name":"*anonymous*","depth":3,"type":"object","safeType":"object","required":false,"displayName":"»»» *anonymous*"},{"schema":{"type":"string","example":"a1b2c3d4","description":"Status Page Incident ID"},"in":"body","name":"id","depth":4,"description":"Status Page Incident ID","type":"string","safeType":"string","required":true,"displayName":"»»»» id"},{"schema":{"type":"string","minLength":1,"maxLength":256,"example":"API is inaccessible","description":"a title for the incident"},"in":"body","name":"title","depth":4,"description":"a title for the incident","type":"string","safeType":"string","required":true,"displayName":"»»»» title"},{"schema":{"type":["string","null"],"enum":["MAJOR_OUTAGE","PARTIAL_OUTAGE","DEGRADED_PERFORMANCE","NO_IMPACT","MAINTENANCE"],"example":"MAJOR_OUTAGE","description":"Impact of the incident"},"in":"body","name":"impact","depth":4,"description":"Impact of the incident","type":["string","null"],"safeType":["string","null"],"required":true,"displayName":"»»»» impact"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident started"},"in":"body","name":"started","depth":4,"description":"When the incident started","type":"string","safeType":"string","required":true,"displayName":"»»»» started"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was resolved"},"in":"body","name":"ended","depth":4,"description":"When the incident was resolved","type":"string","safeType":"string","required":false,"displayName":"»»»» ended"},{"schema":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the incident was created"},"in":"body","name":"created_at","depth":4,"description":"When the incident was created","type":"string","safeType":"string","required":true,"displayName":"»»»» created_at"},{"schema":{"type":"string","example":"2021-02-01T00:00:00.000Z","description":"When the incident was last updated"},"in":"body","name":"updated_at","depth":4,"description":"When the incident was last updated","type":"string","safeType":"string","required":true,"displayName":"»»»» updated_at"},{"schema":{"type":"object","properties":{"latest_update":{"type":"object","properties":{"id":{"type":"string","example":"upd123","description":"Latest update ID"},"status":{"type":"string","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED","UPDATE","SCHEDULED","IN_PROGRESS","VERIFYING","COMPLETED"],"example":"INVESTIGATING","description":"Status of the latest update"},"date_happened":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the latest update occurred"}},"required":["id","status","date_happened"],"description":"Latest update summary"},"scheduled_maintenance":{"type":"object","properties":{"id":{"type":"string","example":"sm123","description":"Scheduled maintenance ID"},"start_date":{"type":"string","example":"2021-01-01T00:00:00.000Z","description":"When the maintenance starts"},"duration_minutes":{"type":"number","example":60,"description":"Duration in minutes"},"notify
[...]
